summaryrefslogtreecommitdiffstats
path: root/EmulatorPkg/Unix/Xcode/xcode_project32/XcodeBuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'EmulatorPkg/Unix/Xcode/xcode_project32/XcodeBuild.sh')
-rwxr-xr-xEmulatorPkg/Unix/Xcode/xcode_project32/XcodeBuild.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/EmulatorPkg/Unix/Xcode/xcode_project32/XcodeBuild.sh b/EmulatorPkg/Unix/Xcode/xcode_project32/XcodeBuild.sh
new file mode 100755
index 0000000000..09d1a280d9
--- /dev/null
+++ b/EmulatorPkg/Unix/Xcode/xcode_project32/XcodeBuild.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# External makefile Xcode project project uses this script to build and clean from the Xcode GUI
+#
+# Copyright (c) 2008 - 2011, Apple Inc. All rights reserved.<BR>
+#
+# This program and the accompanying materials
+# are licensed and made available under the terms and conditions of the BSD License
+# which accompanies this distribution. The full text of the license may be found at
+# http://opensource.org/licenses/bsd-license.php
+#
+# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
+# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
+#
+
+# force exit on error
+set -e
+
+#
+# Source the workspace and set up the environment variables we need
+#
+cd ../..
+echo `pwd`
+./build.sh $1 $2 $3 $4 $5 $6 $8